
int LANGUAGE = 1;

QString translateMsg( int msg)
{
    int val = (10000 * LANGUAGE) + msg;
    QString result = "";

    if (val == 10001) {result = "&File";};
    if (val == 10002) {result = "&Help";};
    if (val == 10003) {result = "E&xit";};
    if (val == 10004) {result = "Online help...";};
    if (val == 10005) {result = "&About...";};
    if (val == 10006) {result = "Browse";};
    if (val == 10007) {result = "Source directory";};
    if (val == 10008) {result = "Destination directory";};
    if (val == 10009) {result = "Resize to";};
    if (val == 10010) {result = "Width";};
    if (val == 10011) {result = "Height";};
    if (val == 10012) {result = "File prefix";};
    if (val == 10013) {result = "Quality";};
    if (val == 10014) {result = "Start";};
    if (val == 10015) {result = "Program for easy resizing batch of images";};
    if (val == 10016) {result = "Version: ";};
    if (val == 10017) {result = "Author: ";};
    if (val == 10018) {result = "Contact: ";};
    if (val == 10019) {result = "License: ";};
    if (val == 10020) {result = "Source directory empty or does not exists";};
    if (val == 10021) {result = "Please select valid directory";};
    if (val == 10022) {result = "Destination directory empty or does not exists";};
    if (val == 10023) {result = "No prefix filled for resized images";};
    if (val == 10024) {result = "When source and destination directory are the same, prefix must be filled";};
    if (val == 10025) {result = "Select directory";};
    if (val == 10026) {result = "Settings";};
    if (val == 10027) {result = "Language";};
    if (val == 10028) {result = "File types";};
    if (val == 10029) {result = "Custom size items";};
    if (val == 10030) {result = "Remove";};
    if (val == 10031) {result = "Cancel";};
    if (val == 10032) {result = "Resizing process";};
    if (val == 10033) {result = "Aborted by user";};
    if (val == 10034) {result = "Abort";};
    if (val == 10035) {result = "Add to predefined resolutions";};

    // TODO Missing other traslations
    if (val == 10036) {result = "Downsize only";};
    if (val == 20036) {result = "Samo smanjivanje";};
    if (val == 30036) {result = "Somente deminuiçăo";};
    if (val == 70036) {result = "Réduction seule";};
    if (val == 50036) {result = "Solo riduzione";};

    if (val == 10037) {result = "Force aspect ratio (width as base)";};
    if (val == 20037) {result = QString("Forsiraj aspekt (")+QChar(0x0160)+QString("irina je baza)");};
    if (val == 30037) {result = "Forçar aspecto (largura como base)";};
    if (val == 70037) {result = "Forcer le rapport d'aspect (largeur pour base)";};
    if (val == 50037) {result = "Forza l'aspect ratio (larghezza come base)";};



    if (val == 20035) {result = "Dodaj u pre-definisane rezolucije";};
    if (val == 30035) {result = QString("Adicionar para resolu")+QChar(0x00E7)+QChar(0x00F5)+QString("es pre-definidas");};
    if (val == 40035) {result = "Zu den frei gewählten Bildgrössen hinzufügen";};

    if (val == 20001) {result = "P&rogram";};
    if (val == 30001) {result = "&Arquivo";};
    if (val == 40001) {result = "&Datei";};

    if (val == 20002) {result = QString("&Pomo")+QChar(0x0107);};
    if (val == 30002) {result = "&Ajuda";};
    if (val == 40002) {result = "&Hilfe";};

    if (val == 20003) {result = "I&zlaz";};
    if (val == 30003) {result = "Sai&r";};
    if (val == 40003) {result = "&Beenden";};

    if (val == 20004) {result = "Dokumentacja...";};
    if (val == 30004) {result = "Ajuda online...";};
    if (val == 40004) {result = "Online Hilfe...";};

    if (val == 20005) {result = "O programu...";};
    if (val == 30005) {result = "Sobre...";};
    if (val == 40005) {result = "Über baires...";};

    if (val == 20006) {result = "Pregled";};
    if (val == 30006) {result = "Buscar";};
    if (val == 40006) {result = "Suche";};

    if (val == 20007) {result = "Direktorijum sa slikama";};
    if (val == 30007) {result = "Diretório de imagens";};
    if (val == 40007) {result = "Quell-Verzeichnis";};

    if (val == 20008) {result = "Direktorijum za smanjene slike";};
    if (val == 30008) {result = "Diretório de destino";};
    if (val == 40008) {result = "Ziel-Verzeichnis";};

    if (val == 20009) {result = "Smanji na";};
    if (val == 30009) {result = "Redimensionar para";};
    if (val == 40009) {result = "Verkleinern auf";};

    if (val == 20010) {result = QChar(0x0160)+QString("irina");};
    if (val == 30010) {result = "Largura";};
    if (val == 40010) {result = "Breite";};

    if (val == 20011) {result = "Visina";};
    if (val == 30011) {result = "Altura";};
    if (val == 40011) {result = "Höhe";};

    if (val == 20012) {result = "Prefiks";};
    if (val == 30012) {result = "Prefixo";};
    if (val == 40012) {result = "Datei Präfix";};

    if (val == 20013) {result = "Kvalitet";};
    if (val == 30013) {result = "Qualidade";};
    if (val == 40013) {result = "Qualität";};

    if (val == 20014) {result = "Kreni";};
    if (val == 30014) {result = "Iniciar";};
    if (val == 40014) {result = "Start";};

    if (val == 20015) {result = "Program za jednostavno smanjivanje slika";};
    if (val == 30015) {result = "Programa fácil para redimensiamento de imagens";};
    if (val == 40015) {result = "Programm zum mühelosen Verkleinern von Bildern";};

    if (val == 20016) {result = "Verzija: ";};
    if (val == 30016) {result = "Versăo: ";};
    if (val == 40016) {result = "Version: ";};

    if (val == 20017) {result = "Autor: ";};
    if (val == 30017) {result = "Autor: ";};
    if (val == 40017) {result = "Autor: ";};

    if (val == 20018) {result = "Kontakt: ";};
    if (val == 30018) {result = "Contato: ";};
    if (val == 40018) {result = "Kontakt: ";};

    if (val == 20019) {result = "Licenca: ";};
    if (val == 30019) {result = "Licença: ";};
    if (val == 40019) {result = "Lizenz: ";};

    if (val == 20020) {result = "Direktorijum sa slikama je prazan ili ne postoji";};
    if (val == 30020) {result = "Diretório de imagens está vazio ou năo existe";};
    if (val == 40020) {result = "Das Quell-Verzeichnis ist leer oder existiert nicht";};

    if (val == 20021) {result = "Molimo Vas da odaberete validan direktorijum";};
    if (val == 30021) {result = "Por favor, escolhe diretório válido";};
    if (val == 40021) {result = "Bitte wählen Sie ein gültiges Verzeichnis";};

    if (val == 20022) {result = "Direktorijum za smanjene slike je prazan ili ne postoji";};
    if (val == 30022) {result = "Diretório de destino está vazio ou năo existe";};
    if (val == 40022) {result = "Das Ziel-Verzeichnis ist leer oder existiert nicht";};

    if (val == 20023) {result = "Prefiks nije odabran";};
    if (val == 30023) {result = "Prefixo está vazio";};
    if (val == 40023) {result = "Es fehlt das Präfix für verkleinerte Bilder";};

    if (val == 20024) {result = "Kada su oba direktorijuma ista, prefiks je obavezan";};
    if (val == 30024) {result = "Quando os diretórios săo iguais, prefixo é obrigatório";};
    if (val == 40024) {result = "Wenn das Quell- und Zielverzeichnis identisch sind, muss ein Datei Präfix angegeben werden";};

    if (val == 20025) {result = "Odaberi direktorijum";};
    if (val == 30025) {result = "Escolhe o diretório";};
    if (val == 40025) {result = "Wähle das Verzeichnis";};

    if (val == 20026) {result = "Konfiguracija";};
    if (val == 30026) {result = "Configuraçăo";};
    if (val == 40026) {result = "&Einstellungen";};

    if (val == 20027) {result = "Jezik";};
    if (val == 30027) {result = "Idioma";};
    if (val == 40027) {result = "Sprache";};

    if (val == 20028) {result = "Tip arhiva";};
    if (val == 30028) {result = "Tipo de arquivos";};
    if (val == 40028) {result = "Dateitypen";};

    if (val == 20029) {result = QString("Korisni")+QChar(0x010D)+QString("ke veli")+QChar(0x010D)+QString("ne");};
    if (val == 30029) {result = "Tamanhos customizados";};
    if (val == 40029) {result = "Frei gewählte Grösse";};

    if (val == 20030) {result = "Ukloni";};
    if (val == 30030) {result = "Exclui";};
    if (val == 40030) {result = "Löschen";};

    if (val == 20031) {result = "Odustani";};
    if (val == 30031) {result = "Cancelar";};
    if (val == 40031) {result = "Abbrechen";};

    if (val == 20032) {result = "Proces smanjivanja";};
    if (val == 30032) {result = "Processo de redimensionamento";};
    if (val == 40032) {result = "Vorgang Bilder verkleinern";};

    if (val == 20033) {result = "Otkazan od strane korisnika";};
    if (val == 30033) {result = "Cancelado por usuário";};
    if (val == 40033) {result = "Durch den Benutzer beendet";};

    if (val == 20034) {result = "Prekini";};
    if (val == 30034) {result = "Abortar";};
    if (val == 40034) {result = "Abbrechen";};

    if (val == 50001) {result = "&File";};
    if (val == 50002) {result = "&Aiuto";};
    if (val == 50003) {result = "&Esci";};
    if (val == 50004) {result = "Guida in linea...";};
    if (val == 50005) {result = "&Informazioni...";};
    if (val == 50006) {result = "Sfoglia";};
    if (val == 50007) {result = "Cartella sorgente";};
    if (val == 50008) {result = "Cartella destinazione";};
    if (val == 50009) {result = "Ridimensiona";};
    if (val == 50010) {result = "Larghezza";};
    if (val == 50011) {result = "Altezza";};
    if (val == 50012) {result = "Prefisso";};
    if (val == 50013) {result = "Qualitŕ";};
    if (val == 50014) {result = "Avvia";};
    if (val == 50015) {result = "Programma per ridimensionare facilmente gruppi di immagini";};
    if (val == 50016) {result = "Versione: ";};
    if (val == 50017) {result = "Autore: ";};
    if (val == 50018) {result = "Contatto: ";};
    if (val == 50019) {result = "Licenza: ";};
    if (val == 50020) {result = "Cartella sorgente inesistente o vuota";};
    if (val == 50021) {result = "Per favore, seleziona una cartella valida";};
    if (val == 50022) {result = "La destinazione č vuota o inesistente";};
    if (val == 50023) {result = "Nessun prefisso inserito per le immagini ridimensionate";};
    if (val == 50024) {result = "Quando la cartella sorgente e di destinazione coincidono, č necessario un prefisso";};
    if (val == 50025) {result = "Seleziona una cartella";};
    if (val == 50026) {result = "Impostazioni";};
    if (val == 50027) {result = "Lingua";};
    if (val == 50028) {result = "Tipi di file";};
    if (val == 50029) {result = "Risoluzioni predefinite";};
    if (val == 50030) {result = "Rimuovi";};
    if (val == 50031) {result = "Cancella";};
    if (val == 50032) {result = "Processo di ridimensionamento";};
    if (val == 50033) {result = "Annullato dall'utente";};
    if (val == 50034) {result = "Annulla";};
    if (val == 50035) {result = "Aggiungi alle risoluzioni predefinite";};

    if (val == 60001) {result = "&Fájl";};
    if (val == 60002) {result = "&Súgó";};
    if (val == 60003) {result = "&Kilépés";};
    if (val == 60004) {result = "Online segítség...";};
    if (val == 60005) {result = "&Névjegy...";};
    if (val == 60006) {result = "Böngészés";};
    if (val == 60007) {result = "Forrás könyvtár";};
    if (val == 60008) {result = "Cél könyvtár";};
    if (val == 60009) {result = "Átméretezés erre";};
    if (val == 60010) {result = "Szélesség";};
    if (val == 60011) {result = "Magasság";};
    if (val == 60012) {result = "Fájl előtag";};
    if (val == 60013) {result = "Minőség";};
    if (val == 60014) {result = "Indítás";};
    if (val == 60015) {result = "Képek tömeges átméretezésére szolgáló program.";};
    if (val == 60016) {result = "Verzió: ";};
    if (val == 60017) {result = "Készítette: ";};
    if (val == 60018) {result = "Elérhetőség: ";};
    if (val == 60019) {result = "Licenc: ";};
    if (val == 60020) {result = "A forrás könyvtár üres vagy nem létezik";};
    if (val == 60021) {result = "Válasszon érvényes könyvtárat";};
    if (val == 60022) {result = "A cél könyvtár üres vagy nem létezik";};
    if (val == 60023) {result = "Nem lett az előtag kitöltve";};
    if (val == 60024) {result = "Ha a forrás és a cél könyvtár megegyezik, az előtagot ki kell tölteni";};
    if (val == 60025) {result = "Válasszon könyvtárat";};
    if (val == 60026) {result = "Beállítások";};
    if (val == 60027) {result = "Nyelv";};
    if (val == 60028) {result = "Fájl típusok";};
    if (val == 60029) {result = "Egyedi méretű elemek";};
    if (val == 60030) {result = "Eltávolítás";};
    if (val == 60031) {result = "Mégse";};
    if (val == 60032) {result = "Átméretezés";};
    if (val == 60033) {result = "Felhasználói megszakítás";};
    if (val == 60034) {result = "Megszakítás";};
    if (val == 60035) {result = "Hozzáadás az előre definiált felbontásokhoz";};

    if (val == 70001) {result = "&Fichier";};
    if (val == 70002) {result = "&Aide";};
    if (val == 70003) {result = "&Quitter";};
    if (val == 70004) {result = "Aide en ligne...";};
    if (val == 70005) {result = "Ŕ &propos...";};
    if (val == 70006) {result = "Choisir";};
    if (val == 70007) {result = "Répertoire source";};
    if (val == 70008) {result = "Répertoire destination";};
    if (val == 70009) {result = "Nouvelles dimensions";};
    if (val == 70010) {result = "Largeur";};
    if (val == 70011) {result = "Hauteur";};
    if (val == 70012) {result = "Préfixe de fichier";};
    if (val == 70013) {result = "Qualité";};
    if (val == 70014) {result = "Commencer";};
    if (val == 70015) {result = "Logiciel pour redimensionner facilement des images par lots";};
    if (val == 70016) {result = "Version : ";};
    if (val == 70017) {result = "Auteur : ";};
    if (val == 70018) {result = "Contact : ";};
    if (val == 70019) {result = "Licence : ";};
    if (val == 70020) {result = "Le répertoire source est vide ou n'existe pas";};
    if (val == 70021) {result = "Choisissez un répertoire valide";};
    if (val == 70022) {result = "Le répertoire destination est vide ou n'existe pas";};
    if (val == 70023) {result = "Le préfixe pour les images redimensionnées n'a pas été indiqué.";};
    if (val == 70024) {result = "Un préfixe doit ętre spécifié quand les répertoires source et destination sont identiques.";};
    if (val == 70025) {result = "Choisir un répertoire";};
    if (val == 70026) {result = "Paramčtres";};
    if (val == 70027) {result = "Langue";};
    if (val == 70028) {result = "Types de fichier";};
    if (val == 70029) {result = "Dimensions personnalisées";};
    if (val == 70030) {result = "Supprimer";};
    if (val == 70031) {result = "Annuler";};
    if (val == 70032) {result = "Redimensionnement en cours";};
    if (val == 70033) {result = "Abandonné par l'utilisateur";};
    if (val == 70034) {result = "Abandonner";};
    if (val == 70035) {result = "Ajouter aux résolutions prédéfinies";};

    if (val == 80001) {result = "&????";};
    if (val == 80002) {result = "&???????";};
    if (val == 80003) {result = "?&????";};
    if (val == 80004) {result = "Online ????????????...";};
    if (val == 80005) {result = "&? ?????????...";};
    if (val == 80006) {result = "?????";};
    if (val == 80007) {result = "??????? ?????????";};
    if (val == 80008) {result = "??????? ??????????";};
    if (val == 80009) {result = "???????? ?????? ??";};
    if (val == 80010) {result = "??????";};
    if (val == 80011) {result = "??????";};
    if (val == 80012) {result = "??????? ?????";};
    if (val == 80013) {result = "????????";};
    if (val == 80014) {result = "?????";};
    if (val == 80015) {result = "????????? ??? ?????????? ????????? ??????? ???????????";};
    if (val == 80016) {result = "??????: ";};
    if (val == 80017) {result = "?????: ";};
    if (val == 80018) {result = "????????: ";};
    if (val == 80019) {result = "????????: ";};
    if (val == 80020) {result = "??????? ????????? ?????? ??? ?? ??????????";};
    if (val == 80021) {result = "?????????? ???????? ?????????? ???????";};
    if (val == 80022) {result = "??????? ?????????? ???? ??? ?? ??????????";};
    if (val == 80023) {result = "?? ?????? ??????? ??? ???????????? ???????????";};
    if (val == 80024) {result = "????? ??????? ????????? ? ?????????? ?????????, ???? ??????? ???????";};
    if (val == 80025) {result = "???????? ???????";};
    if (val == 80026) {result = "?????????";};
    if (val == 80027) {result = "????";};
    if (val == 80028) {result = "???? ??????";};
    if (val == 80029) {result = "???????????????? ???????";};
    if (val == 80030) {result = "???????";};
    if (val == 80031) {result = "??????";};
    if (val == 80032) {result = "??????? ?????????";};
    if (val == 80033) {result = "???????? ?????????????";};
    if (val == 80034) {result = "????????";};
    if (val == 80035) {result = "???????? ? ???????????????? ???????";};

    return result;
}

